Jump to content

Welcome to MSFN Forum
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. This message will be removed once you have signed in.
Login to Account Create an Account



Photo

What about Spotify running W2000

- - - - -

  • Please log in to reply
8 replies to this topic

#1
FuNkiTo

FuNkiTo

    Newbie

  • Member
  • 10 posts
  • Joined 08-December 12
  • OS:Windows 2000 Professional
  • Country: Country Flag
Hi!

I'm new here, so thanks so much for your attention!

I cannot run Spotify since it was updated last January 2012. Do you have any idea? Is there any new patch that I can install??

Thanks so much! :thumbup


How to remove advertisement from MSFN

#2
tomasz86

tomasz86

    www.windows2000.tk

  • Member
  • PipPipPipPipPipPipPipPip
  • 2,520 posts
  • Joined 27-November 10
  • OS:XP Pro x86
  • Country: Country Flag
There are many "new" patches but none for Spanish edition of Windows 2000 :( and I guess that your system is ESN, isn't it?

What kind of error do you see when trying to run the installer?
Posted Image
Unofficial Service Pack 5.2 for MS Windows 2000 <- use this topic if you need help with UURollup, Update Rollup 2 and other unofficial packages

#3
FuNkiTo

FuNkiTo

    Newbie

  • Member
  • 10 posts
  • Joined 08-December 12
  • OS:Windows 2000 Professional
  • Country: Country Flag
It says something like "Spotify Installer.exe is not a win32 valid applicatino" :angry:

I have already downloaded Spotify 0.3.11 Portable , I write my user and password, it tries to connect then to update and gets update failing, saying: "please download the latest version from spotify website blah blah"

I download the file, and I cannot run it, saying same as first error (win32 not valid)

Thanks so much!

Would any patch for English edition work in my Spanish one? I really don't care about language!

Edited by FuNkiTo, 08 December 2012 - 10:41 AM.


#4
tomasz86

tomasz86

    www.windows2000.tk

  • Member
  • PipPipPipPipPipPipPipPip
  • 2,520 posts
  • Joined 27-November 10
  • OS:XP Pro x86
  • Country: Country Flag
What's your system state at the moment? Is it fully updated?

If you don't care about the language then you can forcibly install English packages in it. Of course you should remember that some (most?) parts of it will change into English after doing so.

  • Download Unofficial SP 5.1 from here, unpack it, go to i386\update, open update.inf in any text editor and change:

    LanguageType              = %LangTypeValue%
    to

    LanguageType              = 0x00
    Then find the [ProductCatalogsToInstall] section and remove (disable by adding ";" at the beginning) all catalog files listed there. After that save the changes and run update.exe in order to install the service pack.
  • Download Update Rollup 2 (ENU) and install it using the same method.
  • Download the latest weekly version of UURollup from here and also install it using the same method.
  • Try to install Spotify again.

Edit: I can confirm that Spotify seems to install fine. In order to use the official installer you need to download the full version and then use Application Compatibility Launcher to start it in XP compatiblity mode.

Posted Image

Edited by tomasz86, 08 December 2012 - 09:10 PM.

Posted Image
Unofficial Service Pack 5.2 for MS Windows 2000 <- use this topic if you need help with UURollup, Update Rollup 2 and other unofficial packages

#5
FuNkiTo

FuNkiTo

    Newbie

  • Member
  • 10 posts
  • Joined 08-December 12
  • OS:Windows 2000 Professional
  • Country: Country Flag
Thanks so much for your help, I'll try next Xmas as I need my computer working right now and I'm afraid if I do something wrong. Will I be able to setup latest version of Skype and Flash as well???

My system got SP4 and no automatic updates as it is disabled.

Edited by FuNkiTo, 11 December 2012 - 04:11 PM.


#6
tomasz86

tomasz86

    www.windows2000.tk

  • Member
  • PipPipPipPipPipPipPipPip
  • 2,520 posts
  • Joined 27-November 10
  • OS:XP Pro x86
  • Country: Country Flag
You will be able to install and use the newest version of Flash. Skype, no :no: It does start but it doesn't detect the microphone / headset so you can only use chat. You can always use the last unbloated version of Skype, i.e. v4.2 which works fine in Win2k.

You don't need any other updates apart from USP5.1, UR2 and UURollup to be able to run these applications although of course having a fully updated system (IE, MDAC, DX, etc.) is recommended. I'd recommend that you just install the three unofficial packages and then check if the programs you need work.
Posted Image
Unofficial Service Pack 5.2 for MS Windows 2000 <- use this topic if you need help with UURollup, Update Rollup 2 and other unofficial packages

#7
FuNkiTo

FuNkiTo

    Newbie

  • Member
  • 10 posts
  • Joined 08-December 12
  • OS:Windows 2000 Professional
  • Country: Country Flag
Thanks so much, mate.

I'm trying to learn about this Service Pack. I tried to run w2ksp51.exe and it said "Setup cannot update your Windows 2000 files because the language installed on your system is different from the update language", as it was expected. Then I've extracted all files using Winrar to a folder. I've found update.inf and I can see [ProductCatalogsToInstall] and other similar lines like [ProductCatalogsToInstall.IP] , [ProductCatalogsToInstall.IS] , [ProductCatalogsToInstall.IA] ... do I have to disable those ones too?

#8
blackwingcat

blackwingcat

    Friend of MSFN

  • Member
  • PipPipPipPipPip
  • 781 posts
  • Joined 31-May 08
  • OS:Windows 2000 Professional
  • Country: Country Flag
A little good news.
I succeeded to run Skype from 5.3 to 6.0 with headset. :)
This was kernel driver problem. :ph34r:

You will be able to install and use the newest version of Flash. Skype, no :no: It does start but it doesn't detect the microphone / headset so you can only use chat. You can always use the last unbloated version of Skype, i.e. v4.2 which works fine in Win2k.

You don't need any other updates apart from USP5.1, UR2 and UURollup to be able to run these applications although of course having a fully updated system (IE, MDAC, DX, etc.) is recommended. I'd recommend that you just install the three unofficial packages and then check if the programs you need work.


+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
BlackWingCat =^^=
http://blog.livedoor.jp/blackwingcat/
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

#9
tomasz86

tomasz86

    www.windows2000.tk

  • Member
  • PipPipPipPipPipPipPipPip
  • 2,520 posts
  • Joined 27-November 10
  • OS:XP Pro x86
  • Country: Country Flag
@FuNkiTo Just in case you can disable ALL catalog files under all those sections. To make it clear:

IA stands for Advanced Server
ID stands for Datacenter Server
IP stands for Professional
IS stands for Server
IW stands for Embedded

@blackwingcat Extremely good news :thumbup

Edited by tomasz86, 14 December 2012 - 08:24 PM.

Posted Image
Unofficial Service Pack 5.2 for MS Windows 2000 <- use this topic if you need help with UURollup, Update Rollup 2 and other unofficial packages




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users